#include <stdio.h>

#include <mpi.h>

int main(int argc, char **argv)
{
  int provided;
  MPI_Init_thread(&argc, &argv, MPI_THREAD_SERIALIZED, &provided);

  printf("Provided threading level: %d.\n", provided);

  int rank;
  MPI_Comm_rank(MPI_COMM_WORLD, &rank);

  printf("Hello, world! This is rank %d.\n", rank);

  MPI_Finalize();
  return 0;
}
